Package org.bukkit.potion

# Enum Class PotionEffectType.Category

java.lang.Object
java.lang.Enum<PotionEffectType.Category>
org.bukkit.potion.PotionEffectType.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<PotionEffectType.Category>`, `Constable`

Enclosing class:
  PotionEffectType

public static enum PotionEffectType.Category extends Enum<PotionEffectType.Category>
Category of `PotionEffectType`s

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BENEFICIAL`
`HARMFUL`
`NEUTRAL`

## Method Summary

Modifier and Type
Method
Description
`TextColor`
`getColor()`
Gets the text color used when displaying potions of this category.
`static PotionEffectType.Category`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PotionEffectType.Category[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BENEFICIAL

public static final PotionEffectType.Category BENEFICIAL

### HARMFUL

public static final PotionEffectType.Category HARMFUL

### NEUTRAL

public static final PotionEffectType.Category NEUTRAL

## Method Details

### values

public static PotionEffectType.Category[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PotionEffectType.Category valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getColor

@NotNull public TextColor getColor()
Gets the text color used when displaying potions of this category.

Returns:
  the text color